#!/bin/bash

# В системе должны быть установлены пакеты
# libxcb-xinerama0, pcscd, libccid, gcr, libpcre16-3

function install_pkg {

    PKG=$1

    PKG_IS_INSTALLED=`dpkg -s $PKG 2>/dev/null | grep "Status: install ok installed"`
    if [ -z "$PKG_IS_INSTALLED" ]; then
        echo "Не установлен пакет $PKG!"
        echo "Будет выполнена попытка его установки."
        echo "В процессе установки на предложение системы установите"
        echo "необходимый диск с дистрибутивом ОС в CD-ROM."
        echo "Для продолжения нажмите клавишу ВВОД..."
        read
        sudo apt-get install -y $PKG
    fi

    PKG_IS_INSTALLED=`dpkg -s $PKG 2>/dev/null | grep "Status: install ok installed"`
    if [ -z "$PKG_IS_INSTALLED" ]; then
        echo "Не удалось установить пакет $PKG!"
        echo "Установите пакет вручную и запустите установочный скрипт заново!"
        exit 1
    fi

}

install_pkg pcscd
install_pkg gcr
install_pkg libpcre16-3
install_pkg libxcb-xinerama0

JCPKCS_PACKAGE=`ls -l "$(dirname "$0")" | sed -r -n 's/.*(jcpkcs11-2_[0-9]+\.[0-9]+\.[0-9]+\.[0-9]+_al8\.1_e2k-8c\.deb)/\1/p'`
UC_PACKAGE=`ls -l "$(dirname "$0")"| sed -r -n 's/.*(jacartauc_[0-9]+\.[0-9]+\.[0-9]+\.[0-9]+_al8\.1_e2k-8c\.deb)/\1/p'`
cd "$(dirname "$0")"

if [ -z "AO_Aladdin_public.key" ]; then
    echo "Ошибка!!! Отсутствует публичный ключ АО \"Аладдин Р.Д.\"!"
    exit 1
fi

if [ -z "$JCPKCS_PACKAGE" ]; then
    echo "Ошибка!!! Отсутствует пакет jcpkcs11-2!"
    exit 1
fi

if [ -z "$UC_PACKAGE" ]; then
    echo "Ошибка!!! Отсутствует пакет jacartauc!"
    exit 1
fi

sudo cp AO_Aladdin_public.key "/etc/digsig/keys/" 

echo "Устанавливается пакет jcpkcs11-2!"
echo "=========================================="
sudo dpkg -i $JCPKCS_PACKAGE

echo
echo "Устанавливается пакет jacartauc!"
echo "=========================================="
sudo dpkg -i $UC_PACKAGE
